org.appng.core.controller.handler

## Interface RequestHandler

- All Known Implementing Classes:
    ErrorPageHandler, GuiHandler, JspHandler, MonitoringHandler, ServiceRequestHandler, StaticContentHandler

      public interface RequestHandler

  Handles a `HttpServletRequest`.
  Author:
    Matthias Müller

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FORWARDED` Constant used as a request-attribute to indicate a `HttpServletRequest` has been forwarded by appNG.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse, Environment environment, Site site, PathInfo pathInfo)` Handles the given `HttpServletRequest`,

- - ### Field Detail

    - #### FORWARDED

          static final String FORWARDED

      Constant used as a request-attribute to indicate a `HttpServletRequest` has been forwarded by appNG.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### handle

          void handle(javax.servlet.http.HttpServletRequest servletRequest,
                      javax.servlet.http.HttpServletResponse servletResponse,
                      Environment environment,
                      Site site,
                      PathInfo pathInfo)
               throws javax.servlet.ServletException,
                      IOException

      Handles the given `HttpServletRequest`,
      Parameters:
        `servletRequest` - the current `HttpServletRequest`
        `servletResponse` - the current `HttpServletResponse`
        `environment` - the current `Environment`
        `site` - the current `Site`
        `pathInfo` - the current `PathInfo`
      Throws:
        `javax.servlet.ServletException` - if a servlet-specific error occurs
        `IOException` - if a resource could not be found

Copyright © 2011–2023 aiticon GmbH. All rights reserved.